summaryrefslogtreecommitdiff
path: root/dev-python/pypax
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/pypax
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/pypax')
-rw-r--r--dev-python/pypax/Manifest1
-rw-r--r--dev-python/pypax/metadata.xml17
-rw-r--r--dev-python/pypax/pypax-0.9.5-r2.ebuild47
-rw-r--r--dev-python/pypax/pypax-9999.ebuild47
4 files changed, 112 insertions, 0 deletions
diff --git a/dev-python/pypax/Manifest b/dev-python/pypax/Manifest
new file mode 100644
index 000000000000..2d3883f50ac2
--- /dev/null
+++ b/dev-python/pypax/Manifest
@@ -0,0 +1 @@
+DIST elfix-0.9.5.tar.gz 401722 BLAKE2B 184f8944c62412675819ca86f13bcf23039ebcf069df528267f3e4272859e6cc442a1e05a7a121d88987c282d7e2f513d02f28ce41a8e3c0c226b456fa256aa6 SHA512 e15ab664357796f3a63ac54912eb43ae659947088a10ef16aafcbdd713cc3670fb0319cb2b95a2d29092866d322ef69df1d63847dfc0c4ab2cdd49e6eaa4635e
diff --git a/dev-python/pypax/metadata.xml b/dev-python/pypax/metadata.xml
new file mode 100644
index 000000000000..d74901915539
--- /dev/null
+++ b/dev-python/pypax/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>hardened@gentoo.org</email>
+ <name>Gentoo Hardened</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <use>
+ <flag name="xtpax">Enable XATTR_PAX_FLAGS support.</flag>
+ <flag name="ptpax">Enable PT_PAX_FLAGS support.</flag>
+ </use>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/pypax/pypax-0.9.5-r2.ebuild b/dev-python/pypax/pypax-0.9.5-r2.ebuild
new file mode 100644
index 000000000000..ff96e6a7a4be
--- /dev/null
+++ b/dev-python/pypax/pypax-0.9.5-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+ inherit git-r3
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~sparc x86"
+ S="${WORKDIR}/elfix-${PV}"
+fi
+
+DESCRIPTION="Python module to get or set either PT_PAX and/or XATTR_PAX flags"
+HOMEPAGE="https://dev.gentoo.org/~blueness/elfix/
+ https://wiki.gentoo.org/wiki/Project:Hardened/PaX_Quickstart"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+ptpax +xtpax"
+REQUIRED_USE="|| ( ptpax xtpax )"
+
+RDEPEND="
+ ptpax? ( dev-libs/elfutils )
+ xtpax? ( sys-apps/attr )"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ cd scripts || die
+ unset PTPAX
+ unset XTPAX
+ use ptpax && export PTPAX="yes"
+ use xtpax && export XTPAX="yes"
+ distutils-r1_src_compile
+}
+
+src_install() {
+ cd scripts || die
+ distutils-r1_src_install
+}
diff --git a/dev-python/pypax/pypax-9999.ebuild b/dev-python/pypax/pypax-9999.ebuild
new file mode 100644
index 000000000000..9e2e51017957
--- /dev/null
+++ b/dev-python/pypax/pypax-9999.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+ inherit git-r3
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ppc ppc64 ~riscv ~sparc x86"
+ S="${WORKDIR}/elfix-${PV}"
+fi
+
+DESCRIPTION="Python module to get or set either PT_PAX and/or XATTR_PAX flags"
+HOMEPAGE="https://dev.gentoo.org/~blueness/elfix/
+ https://wiki.gentoo.org/wiki/Project:Hardened/PaX_Quickstart"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+ptpax +xtpax"
+REQUIRED_USE="|| ( ptpax xtpax )"
+
+RDEPEND="
+ ptpax? ( dev-libs/elfutils )
+ xtpax? ( sys-apps/attr )"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ cd scripts || die
+ unset PTPAX
+ unset XTPAX
+ use ptpax && export PTPAX="yes"
+ use xtpax && export XTPAX="yes"
+ distutils-r1_src_compile
+}
+
+src_install() {
+ cd scripts || die
+ distutils-r1_src_install
+}